[MB-5194] Couchbase 1.8.1 should not allow joining or being joined to 1.7.1.1 and before Created: 30/Apr/12  Updated: 14/May/12  Resolved: 14/May/12

Status: Resolved
Project: Couchbase Server
Component/s: ns_server
Affects Version/s: 1.8.1-release-candidate
Fix Version/s: 1.8.1
Security Level: Public

Type: Improvement Priority: Major
Reporter: Aleksey Kondratenko Assignee: Aleksey Kondratenko
Resolution: Fixed Votes: 0
Labels: None
Remaining Estimate: Not Specified
Time Spent: Not Specified
Original Estimate: Not Specified


 Description   
1.7.1.1 and 1.8.1 in single cluster are not supported. We should gracefully prevent that.

 Comments   
Comment by Thuan Nguyen [ 09/May/12 ]
Integrated in github-ns-server-2-0 #347 (See [http://qa.hq.northscale.net/job/github-ns-server-2-0/347/])
    forbid clustering of 1.8.1 and 1.7.1.1. MB-5194 (Revision 11c73dba4beb2680832c9e22748bd59062263653)

     Result = SUCCESS
Aliaksey Artamonau :
Files :
* src/ns_cluster.erl
Comment by Aleksey Kondratenko [ 14/May/12 ]
Done
Generated at Sat Aug 30 14:57:59 CDT 2014 using JIRA 5.2.4#845-sha1:c9f4cc41abe72fb236945343a1f485c2c844dac9.